#include "scroll_spin_boxplugin.h"

#include "scroll_spin_box.h"

#include <QtCore/QtPlugin>


ScrollSpinBoxPlugin::ScrollSpinBoxPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void ScrollSpinBoxPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool ScrollSpinBoxPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * ScrollSpinBoxPlugin::createWidget(QWidget * parent) {
	return new ScrollSpinBox(parent);
}


QString ScrollSpinBoxPlugin::name() const {
	return QLatin1String("ScrollSpinBox");
}


QString ScrollSpinBoxPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon ScrollSpinBoxPlugin::icon() const {
	return QIcon(":/icons/widgets/scrollspin.png");
}


QString ScrollSpinBoxPlugin::toolTip() const {
	return QLatin1String("SpinBox with scroll");
}


QString ScrollSpinBoxPlugin::whatsThis() const {
	return QLatin1String("SpinBox with scroll");
}


bool ScrollSpinBoxPlugin::isContainer() const {
	return false;
}


QString ScrollSpinBoxPlugin::domXml() const {
	return QLatin1String("<widget class=\"ScrollSpinBox\" name=\"spin\">\n</widget>\n");
}


QString ScrollSpinBoxPlugin::includeFile() const {
	return QLatin1String("scroll_spin_box.h");
}
